Bug 692537 - Review Request: librep - An embeddable LISP environment
Review Request: librep - An embeddable LISP environment
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
: librep (view as bug list)
Depends On:
Blocks: RussianFedoraRemix 692541 692543
  Show dependency treegraph
 
Reported: 2011-03-31 10:10 EDT by Kim B. Heino
Modified: 2011-04-18 00:08 EDT (History)
6 users (show)

See Also:
Fixed In Version: librep-0.91.1-4.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-18 00:08:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Kim B. Heino 2011-03-31 10:10:51 EDT
Spec URL: http://b.bbbs.net/sawfish/librep.spec
SRPM URL: http://b.bbbs.net/sawfish/librep-0.91.1-1.fc15.src.rpm
Description: 
This is a lightweight Lisp environment for UNIX. It contains a Lisp
interpreter, byte-code compiler and virtual machine. Applications may
use the Lisp interpreter as an extension language, or it may be used
for standalone scripts.

Originally inspired by Emacs Lisp, the language dialect combines many
of the elisp features while trying to remove some of the main
deficiencies, with features from Common Lisp and Scheme.

---

This is my first package and I need a sponsor. This package is needed by lib-rep and Sawfish.
Comment 1 Jason Tibbitts 2011-03-31 15:33:29 EDT
*** Bug 431250 has been marked as a duplicate of this bug. ***
Comment 2 Peter Lemenkov 2011-04-01 05:11:42 EDT
I'll review it and I can sponsor you - what's your FAS name?
Comment 3 Kim B. Heino 2011-04-01 05:37:25 EDT
My FAS account name is "kimheino".
Comment 4 Peter Lemenkov 2011-04-01 05:43:57 EDT
Koji scratchbuild for F-15:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2966053
Comment 5 Peter Lemenkov 2011-04-01 07:05:46 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is almost silent

work ~/Desktop: rpmlint emacs-librep-el-0.91.1-1.fc15.x86_64.rpm librep-*
emacs-librep-el.x86_64: W: no-documentation
librep.src: W: spelling-error Summary(en_US) embeddable -> embedded
librep.src: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Ispell
librep.x86_64: W: spelling-error Summary(en_US) embeddable -> embedded
librep.x86_64: W: spelling-error %description -l en_US elisp -> lisp, e lisp, Ispell
5 packages and 0 specfiles checked; 0 errors, 5 warnings.
work ~/Desktop: 

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.

+/- The package almost meets the Packaging Guidelines except the following issues:

* Please remove *.la files (from main package - you already removed it from devel)
* Missing "Requires: emacs" or "Requires: emacs-filesystem" in emacs-librep. In fact there are lots of packages which are also co-owners of the /usr/share/emacs/site-lisp directory so this issue is not so important.

+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (GPLv2 or later).

- The file, containing the text of the license(s) for the package (COPYING), MUST be included in %doc.

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

sulaco ~/rpmbuild/SOURCES: sha256sum librep-0.91.1.tar.bz2*
e4056cab99a6fe3add11191b36ed88ae07f9735a6241362427972f8756c75497  librep-0.91.1.tar.bz2
e4056cab99a6fe3add11191b36ed88ae07f9735a6241362427972f8756c75497  librep-0.91.1.tar.bz2.1
sulaco ~/rpmbuild/SOURCES:

+ The package successfully compiles and builds into binary rpms on at least one primary architecture.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
+ The package stores shared library files in some of the dynamic linker's default paths, and it calls ldconfig in %post and %postun.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
+ Header files are stored in a -devel package.
0 No static libraries.
+ The pkgconfig(.pc) files are stored in a -devel package.
+ The library file(s) that end in .so (without suffix) is(are) stored in a -devel package.

- The -devel package MUST require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}

- The package must NOT contain any .la libtool archives (see note above)

0 Not a GUI application.

- One of the sub-packages owns files or directories already owned by other packages (emacs-filesystem). See note above and consider fixing it.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.
Comment 6 Jonathan Underwood 2011-04-01 08:41:45 EDT
(In reply to comment #5)
> * Missing "Requires: emacs" or "Requires: emacs-filesystem" in emacs-librep. In
> fact there are lots of packages which are also co-owners of the
> /usr/share/emacs/site-lisp directory so this issue is not so important.
> 

This is important, it is required by the guidelines. Requiring emacs-filesystem is the correct option.

Please see:


http://fedoraproject.org/wiki/Packaging/Emacs
Comment 7 Kim B. Heino 2011-04-01 12:54:14 EDT
(In reply to comment #5)
> REVIEW:

Thanks! Updated files:

Spec URL: http://b.bbbs.net/sawfish/librep.spec
SRPM URL: http://b.bbbs.net/sawfish/librep-0.91.1-2.fc15.src.rpm

I hope I didn't miss anything...
Comment 8 Peter Lemenkov 2011-04-01 13:05:10 EDT
Ok, good - it seems that all issues noted above were fixed.

I don't see any other issues so this package is


APPROVED
Comment 9 Jonathan Underwood 2011-04-04 07:51:43 EDT
You don't seem to have packaged byte compiled emacs lisp, only the source.
Comment 10 Peter Lemenkov 2011-04-11 07:07:31 EDT
Ping.
Comment 11 Kim B. Heino 2011-04-11 07:17:13 EDT
Sorry for delay. There's a small patch that has to be added to librep-0.91.1 (just committed to upstream). And compiled emacs lisp...

I'll try to do that today or tomorrow...
Comment 12 Kim B. Heino 2011-04-12 11:55:15 EDT
Updated files:

Spec URL: http://b.bbbs.net/sawfish/librep.spec
SRPM URL: http://b.bbbs.net/sawfish/librep-0.91.1-4.fc15.src.rpm

Changes:

- Include patch for dynamic loading (already in upstream)
- Add emacs-librep subpackage for byte compiled elisp
Comment 13 Peter Lemenkov 2011-04-12 12:01:31 EDT
(In reply to comment #12)
> Updated files:
> 
> Spec URL: http://b.bbbs.net/sawfish/librep.spec
> SRPM URL: http://b.bbbs.net/sawfish/librep-0.91.1-4.fc15.src.rpm
> 
> Changes:
> 
> - Include patch for dynamic loading (already in upstream)
> - Add emacs-librep subpackage for byte compiled elisp

Looks good. Please, proceed with New Package SCM request :)

https://fedoraproject.org/wiki/Package_SCM_admin_requests
Comment 14 Kim B. Heino 2011-04-12 12:51:54 EDT
New Package SCM Request
=======================
Package Name: librep
Short Description: A lightweight Lisp environment
Owners: kimheino
Branches: f15
InitialCC:
Comment 15 Jason Tibbitts 2011-04-12 12:57:35 EDT
Git done (by process-git-requests).
Comment 17 Peter Lemenkov 2011-04-13 00:07:59 EDT
(In reply to comment #16)
> Koji builds:
> 
> Rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=2996314
> F15: http://koji.fedoraproject.org/koji/taskinfo?taskID=2996436

Good, but still not enough :)
You need to request inclusion of F-15 build to the repository here:

https://admin.fedoraproject.org/updates/new

Login with your FAS credentials.
Comment 18 Fedora Update System 2011-04-13 03:21:45 EDT
librep-0.91.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/librep-0.91.1-4.fc15
Comment 19 Fedora Update System 2011-04-13 20:36:33 EDT
librep-0.91.1-4.fc15 has been pushed to the Fedora 15 testing repository.
Comment 20 Fedora Update System 2011-04-18 00:08:51 EDT
librep-0.91.1-4.fc15 has been pushed to the Fedora 15 stable repository.

Note You need to log in before you can comment on or make changes to this bug.